#include <bits/stdc++.h>

using namespace std;

const int INTMX = 30000;
long long a[INTMX], b[INTMX];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int t;
    cin>>t;

    for(int i=0; i<t; i++)
    {
        int n, brA=0, brB=0;
        cin>>n;
        for(int j=0; j<n; j++)
        {
            cin>>a[j];
            if(a[j]>0) brA++;
        }
        for(int j=0; j<n; j++)
        {
            cin>>b[j];
            if(b[j]>0) brB++;
        }

        if(brA%2 != brB%2)
        {
            cout<<"NE\n";
        }

        cout<<"DA\n";

    }

    return 0;
}